import { exec } from 'child_process';
import path from 'path';

export function playMusic(musicPath: string): void {
  const musicFilePath = path.resolve(musicPath);

  let command = '';
  switch (process.platform) {
    case 'win32':
      command = `start ${musicFilePath}`; // Windows
      break;
    case 'darwin':
      command = `afplay ${musicFilePath}`; // macOS
      break;
    case 'linux':
      command = `mpg123 ${musicFilePath}`; // Linux
      break;
    default:
      throw new Error('Unsupported platform');
  }
  exec(command);
}

export function stopMusic(): void {
  switch (process.platform) {
    case 'win32':
      exec('taskkill /IM mpg123.exe /F'); // Windows
      break;
    case 'darwin':
      exec('killall afplay'); // macOS
      break;
    case 'linux':
      exec('killall mpg123'); // Linux
      break;
    default:
      throw new Error('Unsupported platform');
  }
}
