import { app, musicService } from '../../app.ts';

// 配置音乐文件夹
// 获取音乐列表
console.log(`http://localhost:3000/api/router?path=music&key=musicDirSet&musicDir="C:\\Users\\Administrator\\Music"`);
app
  .route({
    path: 'music',
    key: 'musicDirSet',
  })
  .define(async (ctx) => {
    const musicDir = ctx.query.musicDir;
    console.log('musicDir', musicDir);

    const res = musicService.setMusicDir(musicDir);
    if (res.code === 200) {
      ctx.body = 'success';
    } else {
      throw ctx.throw(res.code, res.message);
    }
  })
  .addTo(app);

// 获取音乐列表

console.log(`http://localhost:3000/api/router?path=music&key=list`);
app
  .route({
    path: 'music',
    key: 'list',
  })
  .define(async (ctx) => {
    const musicList = await musicService.getMusicList();
    ctx.body = {
      musicDir: musicService.musicDir,
      musicList,
    };
  })
  .addTo(app);
