import { musicService } from '@/app.ts';
import { SimpleRouter } from '@kevisual/router/simple';
import fs from 'fs';
import http from 'http';
export const simpleRouter = new SimpleRouter();

// http://localhost:3000/files?file="蔡依林 - 倒带.mp3"
simpleRouter.get('/files', async (req, res) => {
  const url = req.url;
  const urlObj = new URL(url, 'http://localhost:3000');
  const file = urlObj.searchParams.get('file');
  console.log(file);
  if (!file) {
    res.writeHead(500, { 'Content-Type': 'text/html' });
    res.write('File params is required\n');
    res.end();
    return;
  }
  if (!musicService.musicDir) {
    res.writeHead(500, { 'Content-Type': 'text/html' });
    res.write('Music dir is not set\n');
    res.end();
    return;
  }
  const realPath = musicService.getRealPath(file);
  if (realPath) {
    res.writeHead(200, { 'Content-Type': 'audio/mpeg' });
    const readStream = fs.createReadStream(realPath);
    readStream.pipe(res);
  } else {
    res.writeHead(500, { 'Content-Type': 'text/html' });
    res.write('File is not exist\n');
    res.end();
  }
});

export const middleware = async (req: http.IncomingMessage, res: http.ServerResponse) => {
  return simpleRouter.parse(req, res);
};
